Compatibility Rated 5 out of 5 stars

This addon does work with current versions of Firefox (versions 3.6 onward) but you have to modify the install.rdf file. Download the .xpi file, rename it a .zip file and unzip it. Use Notepad to edit the install.rdf file Look for the tags (there will be a few of them) "someversionhere tags and change all of them to 3.7 or higher. Then rezip the files (NOT THE FOLDER) and rename the .zip back to .xpi before using mouse > right click > open with Firefox.
"